# WOK
TKWOK
WOKTools

# WOKTools_HSequenceOfDefine Class Reference

`#include <WOKTools_HSequenceOfDefine.hxx>`

## Public Member Functions

| WOKTools_HSequenceOfDefine ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const WOKTools_Define &anItem)
Standard_EXPORT void | Append (const Handle(WOKTools_HSequenceOfDefine)&aSequence)
Standard_EXPORT void | Prepend (const WOKTools_Define &anItem)
Standard_EXPORT void | Prepend (const Handle(WOKTools_HSequenceOfDefine)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const WOKTools_Define &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKTools_HSequenceOfDefine)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const WOKTools_Define &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKTools_HSequenceOfDefine)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKTools_HSequenceOfDefine | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const WOKTools_Define &anItem)
Standard_EXPORT const WOKTools_Define & | Value (const Standard_Integer anIndex) const
Standard_EXPORT WOKTools_Define & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKTools_SequenceOfDefine & | Sequence () const
WOKTools_SequenceOfDefine & | ChangeSequence ()
Standard_EXPORT Handle_WOKTools_HSequenceOfDefine | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKTools_SequenceOfDefine | mySequence

## Constructor & Destructor Documentation

WOKTools_HSequenceOfDefine::WOKTools_HSequenceOfDefine | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKTools_HSequenceOfDefine::Append | ( | const Handle(WOKTools_HSequenceOfDefine)& | aSequence | ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::Append | ( | const WOKTools_Define & | anItem | ) |

WOKTools_SequenceOfDefine& WOKTools_HSequenceOfDefine::ChangeSequence | ( |  | ) |

Standard_EXPORT WOKTools_Define& WOKTools_HSequenceOfDefine::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::Clear | ( |  | ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKTools_HSequenceOfDefine::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKTools_HSequenceOfDefine::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKTools_HSequenceOfDefine)& | aSequence
| ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const WOKTools_Define & | anItem
| ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKTools_HSequenceOfDefine)& | aSequence
| ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const WOKTools_Define & | anItem
| ) |

Standard_Boolean WOKTools_HSequenceOfDefine::IsEmpty | ( |  | ) | const

Standard_Integer WOKTools_HSequenceOfDefine::Length | ( |  | ) | const

Standard_EXPORT void WOKTools_HSequenceOfDefine::Prepend | ( | const Handle(WOKTools_HSequenceOfDefine)& | aSequence | ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::Prepend | ( | const WOKTools_Define & | anItem | ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKTools_HSequenceOfDefine::Reverse | ( |  | ) |

const WOKTools_SequenceOfDefine& WOKTools_HSequenceOfDefine::Sequence | ( |  | ) | const

Standard_EXPORT void WOKTools_HSequenceOfDefine::SetValue | ( | const Standard_Integer | anIndex,
|  | const WOKTools_Define & | anItem
| ) |

Standard_EXPORT Handle_WOKTools_HSequenceOfDefine WOKTools_HSequenceOfDefine::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKTools_HSequenceOfDefine WOKTools_HSequenceOfDefine::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const WOKTools_Define& WOKTools_HSequenceOfDefine::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKTools_SequenceOfDefine WOKTools_HSequenceOfDefine::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKTools_HSequenceOfDefine.hxx